Package com.independentsoft.office.word.fields

# Class DropDownListFormFieldProperties

java.lang.Object
com.independentsoft.office.word.fields.DropDownListFormFieldProperties

public class DropDownListFormFieldProperties extends Object
The Class DropDownListFormFieldProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DropDownListFormFieldProperties()`
  Instantiates a new drop down list form field properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DropDownListFormFieldProperties`
  `clone()`
  `long`
  `getDefault()`
  Gets the default.
  `List<DropDownListEntry>`
  `getListEntries()`
  Gets the list entries.
  `long`
  `getSelection()`
  Gets the selection.
  `void`
  `setDefault​(long defaultIndex)`
  Sets the default.
  `void`
  `setSelection​(long selection)`
  Sets the selection.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DropDownListFormFieldProperties

    public DropDownListFormFieldProperties()
    Instantiates a new drop down list form field properties.

- ## Method Details

  - ### clone

    public DropDownListFormFieldProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getListEntries

    public List<DropDownListEntry> getListEntries()
    Gets the list entries.
    Returns:
      the list entries

  - ### getDefault

    public long getDefault()
    Gets the default.
    Returns:
      the default

  - ### setDefault

    public void setDefault​(long defaultIndex)
    Sets the default.
    Parameters:
      `defaultIndex` - the new default

  - ### getSelection

    public long getSelection()
    Gets the selection.
    Returns:
      the selection

  - ### setSelection

    public void setSelection​(long selection)
    Sets the selection.
    Parameters:
      `selection` - the new selection